TikTok · 内容详情

账号作品

传入账号,返回每个账号的最新视频(置顶在前),含播放、点赞、评论、分享数、文案和话题标签。

POST/v1/tiktok/userPosts

$0.00042每条

1,000 条
≈ $0.42
每页(10 条)最低
$0.001337

可用试用额度能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/tiktok/userPosts" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"profiles":["@zachking"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "video",
      "videoId": "7655004069190192398",
      "url": "https://www.tiktok.com/@z***2398",
      "description": "a message to all AI",
      "hashtags": [],
      "createdAt": "2026-06-24T16:45:49Z",
      "durationSeconds": 27.9,
      "playCount": 68095151,
      "likeCount": 13975701,
      "commentCount": 105200,
      "shareCount": 562293,
      "collectCount": 1016828,
      "downloadCount": 24867,
      "authorHandle": "<masked>",
      "authorName": "<masked>",
      "authorFollowerCount": 86733793,
      "authorVerified": "<masked>",
      "authorId": "<masked>",
      "authorSecUid": "<masked>",
      "authorAvatarUrl": "<masked>",
      "authorBio": "<masked>",
      "authorRegion": "<masked>",
      "musicTitle": "original sound - zachking",
      "musicAuthor": "<masked>",
      "coverUrl": "https://p16-common-sign.tiktokcdn-eu.…",
      "videoUrl": "https://v45.tiktokcdn-eu.com/0452894b…",
      "textLanguage": "en",
      "isPinned": true,
      "isSlideshow": false,
      "mentions": [],
      "width": 720,
      "height": 1280,
      "musicId": "7655004159753718541",
      "musicOriginal": false,
      "authorFollowingCount": 185,
      "isPaidContent": false,
      "isAd": false,
      "sourceProfile": "zachking"
    },
    {
      "type": "video",
      "videoId": "6768504823336815877",
      "url": "https://www.tiktok.com/@z***5877",
      "description": "They rejected my application to Hogwa…",
      "hashtags": [
        "illusion",
        "magic",
        "harrypotter"
      ],
      "createdAt": "2019-12-09T18:15:37Z",
      "durationSeconds": 18.3,
      "playCount": 2384385967,
      "likeCount": 29625839,
      "commentCount": 797305,
      "shareCount": 1118557,
      "collectCount": 999827,
      "downloadCount": 569764,
      "authorHandle": "<masked>",
      "authorName": "<masked>",
      "authorFollowerCount": 86733793,
      "authorVerified": "<masked>",
      "authorId": "<masked>",
      "authorSecUid": "<masked>",
      "authorAvatarUrl": "<masked>",
      "authorBio": "<masked>",
      "authorRegion": "<masked>",
      "musicTitle": "Zach Kings Magic Broomstick",
      "musicAuthor": "<masked>",
      "coverUrl": "https://p16-common-sign.tiktokcdn-eu.…",
      "videoUrl": "https://v45.tiktokcdn-eu.com/89a2ee37…",
      "textLanguage": "en",
      "isPinned": true,
      "isSlideshow": false,
      "mentions": [],
      "width": 576,
      "height": 1090,
      "musicId": "6768109565536946950",
      "musicOriginal": false,
      "authorFollowingCount": 185,
      "isPaidContent": false,
      "isAd": false,
      "sourceProfile": "zachking"
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.001337",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 38

字段类型示例值
typestringvideo
videoIdstring7655004069190192398
urlstringhttps://www.tiktok.com/@z***2398
descriptionstringa message to all AI
hashtagsarray[]
createdAtstring2026-06-24T16:45:49Z
durationSecondsnumber27.9
playCountnumber68095151
likeCountnumber13975701
commentCountnumber105200
shareCountnumber562293
collectCountnumber1016828
downloadCountnumber24867
authorHandlestring<masked>
authorNamestring<masked>
authorFollowerCountnumber86733793
authorVerifiedstring<masked>
authorIdstring<masked>
authorSecUidstring<masked>
authorAvatarUrlstring<masked>
authorBiostring<masked>
authorRegionstring<masked>
musicTitlestringoriginal sound - zachking
musicAuthorstring<masked>
coverUrlstringhttps://p16-common-sign.tiktokcdn-eu.com/tos-useast5-p-0068-…
videoUrlstringhttps://v45.tiktokcdn-eu.com/0452894bd22ccd44e1fd41eaec3e529…
textLanguagestringen
isPinnedbooleantrue
isSlideshowbooleanfalse
mentionsarray[]
widthnumber720
heightnumber1280
musicIdstring7655004159753718541
musicOriginalbooleanfalse
authorFollowingCountnumber185
isPaidContentbooleanfalse
isAdbooleanfalse
sourceProfilestringzachking

参数 2

参数名类型必填说明示例
limitinteger否返回多少条记录,1 到 100。一次请求返回的条数不会超过这个数。5
profilesarray是公开账号,如 khaby.lame、@khaby.lame,或账号主页链接、该账号某个视频的链接。不支持 vm.tiktok.com、vt.tiktok.com、tiktok.com/t/ 短链。["@zachking"]

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"profiles":["@zachking"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/tiktok/userPosts", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 10 条,每页最低收费 $0.001337;要 100 条的请求会取 10 页。

  • 1 条:最多 $0.001337
  • 20 条:最多 $0.0084
  • 100 条:最多 $0.042

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「账号作品」要传哪些参数?

必填:profiles。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.00042。每页最低收费 $0.001337:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.042。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。